Subject: Cross Connect / VCL table IfIndex

From: Andrew Juniper <[email-masked]>
Date: Wed, 17 Mar 1999 11:57:51 -0000

Hi,

I've got a question about the ifIndex used in the VC cross connect and VCL
tables.

RFC1695/2515 and the AToMIB-2 say that the [Low|High]ifIndex for both the VP
and VC cross connect tables is "The ifIndex value of the ATM interface".

Does this mean the ifIndex for which the ifType is 37 (ATM cell)?

What happens if the VC is actually going through a logical interface (ifType
80 - ATM logical)?

There seems to be three possible solutions:
- the VP/VCs are always shown on the logical interface only
  -- good, because it allows the use of the atmInterface neighbour
information for tracing connections which go through logical interfaces
(where you may not have rights to get a physical view, eg. through a service
provider network)

- the VP/VCs are always shown on the ATM cell interface only
  -- this is my letter of the rule interpretation of the MIBs as they stand

- the VP/VCs are shown on both
  -- this is bad because the connections will show up at least twice on a
walk of the connection tables

Any comments?

Andy
---------------
Andy Juniper
[email-masked]
+44 (1753) 661485 
---------------
Drive defensively.
And remember that the best form of defence is a good offence.

---

From: "Michael H. Grobelch" <[email-masked]>
Date: Wed, 17 Mar 1999 10:19:57 -0800

>From: Andrew Juniper <[email-masked]>
 >To: "[email-masked]'" <[email-masked]>
 >Subject: Cross Connect / VCL table IfIndex
 >Date: Wed, 17 Mar 1999 11:57:51 -0000
 >
 >Hi,
 >

If there is a logical interface (VP Tunnel), and the VPI for the VC coincides
with the VPI of the logical interface VP, it should be the logical interface.

As for VP's, the current definition of logical interface is that it consists
of a single VP, so no VP should appear on a logical interface - otherwise
you don't need a logical interface, just a VP cross-connect.

Mike